BizKitHub
DocsAPI ReferenceNewsroom/bff/newsroom/draft/{draftId}
getNewsroomAdmin BFF

/bff/newsroom/draft/{draftId}

Returns the generated article markdown plus thumbnail prompts and social media texts.

NewsroomgetBffNewsroomDraftByDraftId

Parameters

1 path

Path parameters

· 1
draftIdstringRequired

External ID of the draft.

Exampleexample_draftId

Response schema

1 status code documented

200Success
idstringRequired
shortlistIdstringRequired
statusstringRequired
titlestringOptional
perexstringOptional
articleMarkdownstringOptional
thumbnail169objectOptional
promptstringOptional
descriptionstringOptional
thumbnail916objectOptional
promptstringOptional
descriptionstringOptional
linkedinTextstringOptional
instagramTextstringOptional
factCheckNotesobjectOptional
isCleanbooleanRequired
summarystringRequired
findingsobject[]Required
Each array item:
category"error" | "falsehood" | "recommendation"Required
severity"low" | "medium" | "high"Required
excerptstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
issuestringRequired
justificationstringRequired
suggestedFixstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
postIdnumberOptional
errorMessagestringOptional
modelWriterstringOptional
modelFactCheckstringOptional
insertedDateDate | string | string | numberRequired
One of 4:
Variant 1
Date
Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
updatedDateDate | string | string | numberRequired
One of 4:
Variant 1
Date
Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
sourcestringOptional
sourceUrlstringOptional
feedIdstringOptional

External ID of the source RSS feed.

Response example

application/json
{
  "id": "example_id",
  "shortlistId": "example_shortlistId",
  "status": "example_status",
  "title": "example_title",
  "perex": "example_perex",
  "articleMarkdown": "example_articleMarkdown",
  "thumbnail169": {
    "prompt": "example_prompt",
    "description": "example_description"
  },
  "thumbnail916": {
    "prompt": "example_prompt",
    "description": "example_description"
  },
  "linkedinText": "example_linkedinText",
  "instagramText": "example_instagramText",
  "factCheckNotes": {
    "isClean": false,
    "summary": "example_summary",
    "findings": [
      {
        "issue": "example_issue",
        "justification": "example_justification"
      }
    ]
  },
  "postId": 0,
  "errorMessage": "example_errorMessage",
  "modelWriter": "example_modelWriter",
  "modelFactCheck": "example_modelFactCheck",
  "source": "example_source",
  "sourceUrl": "example_sourceUrl",
  "feedId": "example_feedId"
}

Request example

GET /bff/newsroom/draft/{draftId}

get
curl -X GET "https://api.bizkithub.com/bff/newsroom/draft/example_draftId" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key